summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2015-11-02 17:45:33 -0500
committerMike Gilbert <floppym@gentoo.org>2015-11-02 17:46:03 -0500
commit46702435a3bb706b83b67df88afd8d79ecfc4542 (patch)
tree9147da7ef8971e8c46bf0f6b76dc12734f968481 /sys-process
parentnet-wireless/broadcom-sta: Drop unneeded patch. (diff)
downloadgentoo-46702435a3bb706b83b67df88afd8d79ecfc4542.tar.gz
gentoo-46702435a3bb706b83b67df88afd8d79ecfc4542.tar.bz2
gentoo-46702435a3bb706b83b67df88afd8d79ecfc4542.zip
sys-process/procps: Move binaries back to /usr/bin
Upstream dropped the userbin_execdir variable, so we need to move things around manually. See upstream commit 430b559ba2826f80dffa840622ae0fc744000b13. Package-Manager: portage-2.2.23_p18
Diffstat (limited to 'sys-process')
-rw-r--r--sys-process/procps/procps-3.3.11-r1.ebuild (renamed from sys-process/procps/procps-3.3.11.ebuild)6
1 files changed, 3 insertions, 3 deletions
diff --git a/sys-process/procps/procps-3.3.11.ebuild b/sys-process/procps/procps-3.3.11-r1.ebuild
index c2031d47a17..d3c2a5def9c 100644
--- a/sys-process/procps/procps-3.3.11.ebuild
+++ b/sys-process/procps/procps-3.3.11-r1.ebuild
@@ -43,7 +43,6 @@ src_prepare() {
src_configure() {
econf \
- --exec-prefix="${EPREFIX}" \
--docdir='$(datarootdir)'/doc/${PF} \
$(use_enable modern-top) \
$(use_with ncurses) \
@@ -62,8 +61,9 @@ src_install() {
default
#dodoc sysctl.conf
- # The configure script is completely whacked in the head
- mv "${ED}"/lib* "${ED}"/usr/ || die
+ dodir /bin
+ mv "${ED}"/usr/bin/{kill,pidof,ps} "${ED}"/bin/ || die
+
gen_usr_ldscript -a procps
prune_libtool_files
}